Автор Тема: Не устанавливается Multisystem  (Прочитано 691 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн yx

  • Местный
  • *****
  • Автор темы
  • Сообщений: 787
Не устанавливается Multisystem
« : Апрель 07, 2021, 14:10:10 »
Хочу установить Мультисистем на рунту18.04...
скачал пакет, при установке сообщает:
неустранимая зависимость  gtkdialog (>=2:0.8.3-1)
Что делать то?

Оффлайн Пользователь.

  • Местный
  • *****
  • Сообщений: 4264
Re: Не устанавливается Multisystem
« Ответ #1 : Апрель 07, 2021, 14:32:18 »
yx

Значит автор программы не собрал установщик программы под Ubuntu 18.04
В этом случае остается либо пользователю собрать из исходников установщик программы под нужную версию системы.
Либо искать костыли, то есть схитрить, и подсунуть программе что она просит, выковыряв это из другой версии системы. Но это может привести к проблемам при обновлении системы, то есть к поломке, вот и называются костыли - временные подпорки которые могут отвалиться.

Deb пакеты можно найти по ниже указанной ссылке, это веб сервис поиска пакетов по названиям, с группировкой по версиям систем, в отличии от других похожих сервисов он создан производителем системы Ubuntu - фирмой Canonical.
https://packages.ubuntu.com/

Также можно поискать установщик этой программы на сайте launchpad.net, он тоже создан фримой Canonical, возможно кто-то из пользователей уже столкнулся с этой же проблемой и собрал установщик программы для Ubuntu 18.04
« Последнее редактирование: Апрель 07, 2021, 14:37:04 от Пользователь. »

Оффлайн vita

  • Местный
  • *****
  • Сообщений: 969
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Не устанавливается Multisystem
« Ответ #2 : Апрель 07, 2021, 18:57:38 »
ух, пакет gtkdialog 2:0.8.3-1 доступен в репозитории разработчика Multisystem по адресу http://liveusb.info/multisystem/depot/dists/all/main/binary-amd64/g/
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн yx

  • Местный
  • *****
  • Автор темы
  • Сообщений: 787
Re: Не устанавливается Multisystem
« Ответ #3 : Апрель 08, 2021, 04:06:51 »
ух, пакет gtkdialog 2:0.8.3-1 доступен в репозитории разработчика Multisystem по адресу http://liveusb.info/multisystem/depot/dists/all/main/binary-amd64/g/
огромное спасибо!
даже не представляю, как вам удается включать эту капризную, но отличную в работе программу в любую сборку, ведь она заточена под 16 убунту, но и там, если ставить из репы, не работает. А у вас все ладится, как в песне. )))
п.с.
Программа установилась и запускается, но флешек не видит от слова совсем. Возможно, связано с тем, что у меня порты только усб3? Попытки подключить через усб2хаб не помогли. Вот ведь облом... Кто нибудь решал эту проблему?
« Последнее редактирование: Апрель 08, 2021, 05:14:26 от yx »

Оффлайн vita

  • Местный
  • *****
  • Сообщений: 969
  • Fiat lux! (Да будет Свет!)
    • Форум проекта Matuntu
Re: Не устанавливается Multisystem
« Ответ #4 : Апрель 08, 2021, 12:43:07 »
yx, около года Multisystem не применяю. Хорошей альтернативой стал отличный инструмент Ventoy.

P.s.: Установила Multisystem в сборке на основе Ubuntu 20.04.2. Флешки в разъёме USB 3.0 видны.
Per aspera ad astra! (Через тернии к звездам!)

Оффлайн yx

  • Местный
  • *****
  • Автор темы
  • Сообщений: 787
Re: Не устанавливается Multisystem
« Ответ #5 : Апрель 10, 2021, 16:00:43 »
yx, около года Multisystem не применяю. Хорошей альтернативой стал отличный инструмент Ventoy.

P.s.: Установила Multisystem в сборке на основе Ubuntu 20.04.2. Флешки в разъёме USB 3.0 видны.
Значит, у меня какой-то другой косяк. Попробую запустить из терминала. А за замену огромное спасибо! Раз уж вы перешли, значит оно того стоит, а я застрял на старых технологиях... позор на мою седую голову   :-\